Bug 621460 - Add RPC timeout and repeat
Summary: Add RPC timeout and repeat
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: beah   
(Show other bugs)
Version: 0.5
Hardware: All Linux
high
medium vote
Target Milestone: ---
Assignee: Marian Csontos
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-05 06:38 UTC by Marian Csontos
Modified: 2011-09-28 15:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 06:03:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (24.48 KB, patch)
2010-08-09 07:14 UTC, Marian Csontos
no flags Details | Diff

Description Marian Csontos 2010-08-05 06:38:22 UTC
Under high load LC/Scheduler has long response time (30-90 seconds, even more).

Implement RPC timeout and delay.

Comment 1 Marian Csontos 2010-08-09 07:14:35 UTC
Created attachment 437530 [details]
proposed patch

This adds increasing timeout to RPC. When the call's time expires it is repeated after delay.

The delay is increasing after failures and decreasing after pass which relieves the stress on server when overloaded, while not causing too big slowdown on minor hick-ups.

See repeatingproxy.py

The patch tested on beaker with Tier1 tests: see J:11070, J:11080 and J:11084.

Comment 2 Marian Csontos 2010-08-10 10:01:36 UTC
beah-0.6.12-1 to be delivered tomorrow was built.


Note You need to log in before you can comment on or make changes to this bug.